SoSField(3IV)

NAME
SoSField — abstract base class for all single-value fields

INHERITS FROM
SoField > SoSField

SYNOPSIS
#include <Inventor/fields/SoField.h>

Methods from class SoSField:

static SoType
getClassTypeId()

Methods from class SoField:

void
setIgnored(SbBool ignore)
SbBool
isIgnored() const
SbBool
isDefault() const
virtual SoType
getTypeId() const
virtual SbBool
isOfType(SoType type) const
SbBool
set(const char *valueString)
void
get(SbString &valueString)
int
operator ==(const SoField &f) const
int
operator !=(const SoField &f) const
void
touch()
SbBool
connectFrom(SoField *fromField)
SbBool
connectFrom(SoEngineOutput *fromEngine)
void
disconnect()
SbBool
isConnected() const
SbBool
isConnectedFromField() const
SbBool
getConnectedField(SoField *&writingField) const
SbBool
isConnectedFromEngine() const
SbBool
getConnectedEngine(SoEngineOutput *&engineOutput) const
void
enableConnection(SbBool flag)
SbBool
isConnectionEnabled() const
int
getForwardConnections(SoFieldList &list) const
SoFieldContainer *
getContainer() const

DESCRIPTION
Each class derived from SoSField begins with an SoSF prefix and contains one value of a particular type. Each has setValue() and getValue() methods that are used to change or access this value. In addition, some field classes have extra convenience routines that allow values to be set or retrieved in other related formats (see below).

In addition to setValue(), all single-value fields overload the "=" assignment operator to set the field value from the correct datatype or from another field instance of the same type.

The value of a single-value field is written to file in a format dependent on the field type; see the subclass man pages for details.

A field that is ignored has a tilde (~) either in place of the value (if the actual value is the default) or after it (otherwise).

METHODS
static SoType
getClassTypeId()
Return the type identifier for this field class.

SEE ALSO
SoField, SoMField